org.keycloak.dom.saml.v2.ac.classes

## Class SecretKeyProtectionType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.classes.ExtensionListType
  - - org.keycloak.dom.saml.v2.ac.classes.SecretKeyProtectionType

-     public class SecretKeyProtectionType
      extends ExtensionListType

  Java class for SecretKeyProtectionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SecretKeyProtectionType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}KeyActivation"
       minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}KeyStorage" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}Extension"
       maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected KeyActivationType` | `keyActivation`
    `protected KeyStorageType` | `keyStorage`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.ac.classes.ExtensionListType

      `content`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecretKeyProtectionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeyActivationType` | `getKeyActivation()` Gets the value of the keyActivation property.
    `KeyStorageType` | `getKeyStorage()` Gets the value of the keyStorage property.
    `void` | `setKeyActivation(KeyActivationType value)` Sets the value of the keyActivation property.
    `void` | `setKeyStorage(KeyStorageType value)` Sets the value of the keyStorage property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.ac.classes.ExtensionListType

      `add, getContent, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### keyActivation

          protected KeyActivationType keyActivation

    - #### keyStorage

          protected KeyStorageType keyStorage

  - ### Constructor Detail

    - #### SecretKeyProtectionType

          public SecretKeyProtectionType()

  - ### Method Detail

    - #### getKeyActivation

          public KeyActivationType getKeyActivation()

      Gets the value of the keyActivation property.
      Returns:
        possible object is `KeyActivationType`

    - #### setKeyActivation

          public void setKeyActivation(KeyActivationType value)

      Sets the value of the keyActivation property.
      Parameters:
        `value` - allowed object is `KeyActivationType`

    - #### getKeyStorage

          public KeyStorageType getKeyStorage()

      Gets the value of the keyStorage property.
      Returns:
        possible object is `KeyStorageType`

    - #### setKeyStorage

          public void setKeyStorage(KeyStorageType value)

      Sets the value of the keyStorage property.
      Parameters:
        `value` - allowed object is `KeyStorageType`

Copyright © 2020 JBoss by Red Hat. All rights reserved.